using Luski.Enums;
using Luski.Enums.Strings;
using Luski.GUI.MainScreen.UI.LuskiControls.SettingsMenuBase.Core;

namespace Luski.Classes.Attribs;

[AttributeUsage(AttributeTargets.Property)]
public class SettingInfoAttribute : Attribute
{
    public SettingInfoAttribute(string group, byte Page)
    {
        Group = group;
        this.Page = Page;
    }

    public ISettingsPage CreatePage()
    {
        return SettingsPage.Pages[Page].Page;
    }

    public byte Page { get; init; }
    public string Group { get; init; }
}